from cdnmon.model.cdn import BGPViewCIDR
from cdnmon.model.cdn import CNAMEPattern
from cdnmon.model.cdn import CommonCDN
from cdnmon.model.cdn import DomainOwnershipVerficationStatus
from cdnmon.model.cdn import DomainOwnershipVerification
from cdnmon.model.cdn import HTTPOwnershipVerification
from cdnmon.model.cdn import OwnershipVerification

CDN = CommonCDN(
    name="alibaba-cdn",
    asn_patterns=["alibaba", "taobao", "alicloud"],
    cname_suffixes=[
        CNAMEPattern(suffix=".w.cdngslb.com", pattern=r"${domain}.w.cdngslb.com", is_leaf=True),
        CNAMEPattern(suffix=".queniucdn.com", pattern=r"${domain}.queniucdn.com"),
        CNAMEPattern(suffix=".queniudns.com", pattern=r"${domain}.queniudns.com"),
        CNAMEPattern(suffix=".queniugslb.com", pattern=r"${domain}.queniugslb.com"),
        CNAMEPattern(suffix=".queniuaa.com", pattern=r"${domain}.queniuaa.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuab.com", pattern=r"${domain}.queniuab.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuai.com", pattern=r"${domain}.queniuai.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuak.com", pattern=r"${domain}.queniuak.com", is_leaf=True),
        CNAMEPattern(suffix=".queniual.com", pattern=r"${domain}.queniual.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuam.com", pattern=r"${domain}.queniuam.com", is_leaf=True),
        CNAMEPattern(suffix=".queniubd.com", pattern=r"${domain}.queniubd.com", is_leaf=True),
        CNAMEPattern(suffix=".queniubg.com", pattern=r"${domain}.queniubg.com", is_leaf=True),
        CNAMEPattern(suffix=".queniubh.com", pattern=r"${domain}.queniubh.com", is_leaf=True),
        CNAMEPattern(suffix=".queniubk.com", pattern=r"${domain}.queniubk.com", is_leaf=True),
        CNAMEPattern(suffix=".queniubl.com", pattern=r"${domain}.queniubl.com", is_leaf=True),
        CNAMEPattern(suffix=".queniubm.com", pattern=r"${domain}.queniubm.com", is_leaf=True),
        CNAMEPattern(suffix=".queniubn.com", pattern=r"${domain}.queniubn.com", is_leaf=True),
        CNAMEPattern(suffix=".queniucf.com", pattern=r"${domain}.queniucf.com", is_leaf=True),
        CNAMEPattern(suffix=".queniucg.com", pattern=r"${domain}.queniucg.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuck.com", pattern=r"${domain}.queniuck.com", is_leaf=True),
        CNAMEPattern(suffix=".queniucl.com", pattern=r"${domain}.queniucl.com", is_leaf=True),
        CNAMEPattern(suffix=".queniucm.com", pattern=r"${domain}.queniucm.com", is_leaf=True),
        CNAMEPattern(suffix=".queniucn.com", pattern=r"${domain}.queniucn.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuco.com", pattern=r"${domain}.queniuco.com", is_leaf=True),
        CNAMEPattern(suffix=".queniucs.com", pattern=r"${domain}.queniucs.com", is_leaf=True),
        CNAMEPattern(suffix=".queniucx.com", pattern=r"${domain}.queniucx.com", is_leaf=True),
        CNAMEPattern(suffix=".queniucz.com", pattern=r"${domain}.queniucz.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuda.com", pattern=r"${domain}.queniuda.com", is_leaf=True),
        CNAMEPattern(suffix=".queniudd.com", pattern=r"${domain}.queniudd.com", is_leaf=True),
        CNAMEPattern(suffix=".queniudg.com", pattern=r"${domain}.queniudg.com", is_leaf=True),
        CNAMEPattern(suffix=".queniudl.com", pattern=r"${domain}.queniudl.com", is_leaf=True),
        CNAMEPattern(suffix=".queniudo.com", pattern=r"${domain}.queniudo.com", is_leaf=True),
        CNAMEPattern(suffix=".queniudt.com", pattern=r"${domain}.queniudt.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuee.com", pattern=r"${domain}.queniuee.com", is_leaf=True),
        CNAMEPattern(suffix=".queniueg.com", pattern=r"${domain}.queniueg.com", is_leaf=True),
        CNAMEPattern(suffix=".queniueh.com", pattern=r"${domain}.queniueh.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuei.com", pattern=r"${domain}.queniuei.com", is_leaf=True),
        CNAMEPattern(suffix=".queniues.com", pattern=r"${domain}.queniues.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuez.com", pattern=r"${domain}.queniuez.com", is_leaf=True),
        CNAMEPattern(suffix=".queniufa.com", pattern=r"${domain}.queniufa.com", is_leaf=True),
        CNAMEPattern(suffix=".queniufm.com", pattern=r"${domain}.queniufm.com", is_leaf=True),
        CNAMEPattern(suffix=".queniufr.com", pattern=r"${domain}.queniufr.com", is_leaf=True),
        CNAMEPattern(suffix=".queniufw.com", pattern=r"${domain}.queniufw.com", is_leaf=True),
        CNAMEPattern(suffix=".queniufz.com", pattern=r"${domain}.queniufz.com", is_leaf=True),
        CNAMEPattern(suffix=".queniugd.com", pattern=r"${domain}.queniugd.com", is_leaf=True),
        CNAMEPattern(suffix=".queniugm.com", pattern=r"${domain}.queniugm.com", is_leaf=True),
        CNAMEPattern(suffix=".queniugv.com", pattern=r"${domain}.queniugv.com", is_leaf=True),
        CNAMEPattern(suffix=".queniugz.com", pattern=r"${domain}.queniugz.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuhg.com", pattern=r"${domain}.queniuhg.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuhl.com", pattern=r"${domain}.queniuhl.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuhx.com", pattern=r"${domain}.queniuhx.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuhy.com", pattern=r"${domain}.queniuhy.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuhz.com", pattern=r"${domain}.queniuhz.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuic.com", pattern=r"${domain}.queniuic.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuif.com", pattern=r"${domain}.queniuif.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuin.com", pattern=r"${domain}.queniuin.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuiq.com", pattern=r"${domain}.queniuiq.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuit.com", pattern=r"${domain}.queniuit.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuiy.com", pattern=r"${domain}.queniuiy.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuja.com", pattern=r"${domain}.queniuja.com", is_leaf=True),
        CNAMEPattern(suffix=".queniujd.com", pattern=r"${domain}.queniujd.com", is_leaf=True),
        CNAMEPattern(suffix=".queniujf.com", pattern=r"${domain}.queniujf.com", is_leaf=True),
        CNAMEPattern(suffix=".queniujg.com", pattern=r"${domain}.queniujg.com", is_leaf=True),
        CNAMEPattern(suffix=".queniujq.com", pattern=r"${domain}.queniujq.com", is_leaf=True),
        CNAMEPattern(suffix=".queniujz.com", pattern=r"${domain}.queniujz.com", is_leaf=True),
        CNAMEPattern(suffix=".queniukk.com", pattern=r"${domain}.queniukk.com", is_leaf=True),
        CNAMEPattern(suffix=".queniukq.com", pattern=r"${domain}.queniukq.com", is_leaf=True),
        CNAMEPattern(suffix=".queniukr.com", pattern=r"${domain}.queniukr.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuks.com", pattern=r"${domain}.queniuks.com", is_leaf=True),
        CNAMEPattern(suffix=".queniukt.com", pattern=r"${domain}.queniukt.com", is_leaf=True),
        CNAMEPattern(suffix=".queniukw.com", pattern=r"${domain}.queniukw.com", is_leaf=True),
        CNAMEPattern(suffix=".queniukx.com", pattern=r"${domain}.queniukx.com", is_leaf=True),
        CNAMEPattern(suffix=".queniulf.com", pattern=r"${domain}.queniulf.com", is_leaf=True),
        CNAMEPattern(suffix=".queniulg.com", pattern=r"${domain}.queniulg.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuli.com", pattern=r"${domain}.queniuli.com", is_leaf=True),
        CNAMEPattern(suffix=".queniulp.com", pattern=r"${domain}.queniulp.com", is_leaf=True),
        CNAMEPattern(suffix=".queniulr.com", pattern=r"${domain}.queniulr.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuls.com", pattern=r"${domain}.queniuls.com", is_leaf=True),
        CNAMEPattern(suffix=".queniulv.com", pattern=r"${domain}.queniulv.com", is_leaf=True),
        CNAMEPattern(suffix=".queniumd.com", pattern=r"${domain}.queniumd.com", is_leaf=True),
        CNAMEPattern(suffix=".queniumf.com", pattern=r"${domain}.queniumf.com", is_leaf=True),
        CNAMEPattern(suffix=".queniumn.com", pattern=r"${domain}.queniumn.com", is_leaf=True),
        CNAMEPattern(suffix=".queniumo.com", pattern=r"${domain}.queniumo.com", is_leaf=True),
        CNAMEPattern(suffix=".queniumy.com", pattern=r"${domain}.queniumy.com", is_leaf=True),
        CNAMEPattern(suffix=".queniunh.com", pattern=r"${domain}.queniunh.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuni.com", pattern=r"${domain}.queniuni.com", is_leaf=True),
        CNAMEPattern(suffix=".queniunq.com", pattern=r"${domain}.queniunq.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuns.com", pattern=r"${domain}.queniuns.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuny.com", pattern=r"${domain}.queniuny.com", is_leaf=True),
        CNAMEPattern(suffix=".queniunz.com", pattern=r"${domain}.queniunz.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuod.com", pattern=r"${domain}.queniuod.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuog.com", pattern=r"${domain}.queniuog.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuop.com", pattern=r"${domain}.queniuop.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuos.com", pattern=r"${domain}.queniuos.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuot.com", pattern=r"${domain}.queniuot.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuoy.com", pattern=r"${domain}.queniuoy.com", is_leaf=True),
        CNAMEPattern(suffix=".queniupc.com", pattern=r"${domain}.queniupc.com", is_leaf=True),
        CNAMEPattern(suffix=".queniupe.com", pattern=r"${domain}.queniupe.com", is_leaf=True),
        CNAMEPattern(suffix=".queniupg.com", pattern=r"${domain}.queniupg.com", is_leaf=True),
        CNAMEPattern(suffix=".queniupj.com", pattern=r"${domain}.queniupj.com", is_leaf=True),
        CNAMEPattern(suffix=".queniupl.com", pattern=r"${domain}.queniupl.com", is_leaf=True),
        CNAMEPattern(suffix=".queniupq.com", pattern=r"${domain}.queniupq.com", is_leaf=True),
        CNAMEPattern(suffix=".queniupz.com", pattern=r"${domain}.queniupz.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuqe.com", pattern=r"${domain}.queniuqe.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuql.com", pattern=r"${domain}.queniuql.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuqm.com", pattern=r"${domain}.queniuqm.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuqt.com", pattern=r"${domain}.queniuqt.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuqy.com", pattern=r"${domain}.queniuqy.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuqz.com", pattern=r"${domain}.queniuqz.com", is_leaf=True),
        CNAMEPattern(suffix=".queniurc.com", pattern=r"${domain}.queniurc.com", is_leaf=True),
        CNAMEPattern(suffix=".queniurj.com", pattern=r"${domain}.queniurj.com", is_leaf=True),
        CNAMEPattern(suffix=".queniurk.com", pattern=r"${domain}.queniurk.com", is_leaf=True),
        CNAMEPattern(suffix=".queniurq.com", pattern=r"${domain}.queniurq.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuru.com", pattern=r"${domain}.queniuru.com", is_leaf=True),
        CNAMEPattern(suffix=".queniurv.com", pattern=r"${domain}.queniurv.com", is_leaf=True),
        CNAMEPattern(suffix=".queniurx.com", pattern=r"${domain}.queniurx.com", is_leaf=True),
        CNAMEPattern(suffix=".queniusa.com", pattern=r"${domain}.queniusa.com", is_leaf=True),
        CNAMEPattern(suffix=".queniusf.com", pattern=r"${domain}.queniusf.com", is_leaf=True),
        CNAMEPattern(suffix=".queniusg.com", pattern=r"${domain}.queniusg.com", is_leaf=True),
        CNAMEPattern(suffix=".queniusi.com", pattern=r"${domain}.queniusi.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuso.com", pattern=r"${domain}.queniuso.com", is_leaf=True),
        CNAMEPattern(suffix=".queniusp.com", pattern=r"${domain}.queniusp.com", is_leaf=True),
        CNAMEPattern(suffix=".queniusr.com", pattern=r"${domain}.queniusr.com", is_leaf=True),
        CNAMEPattern(suffix=".queniusy.com", pattern=r"${domain}.queniusy.com", is_leaf=True),
        CNAMEPattern(suffix=".queniusz.com", pattern=r"${domain}.queniusz.com", is_leaf=True),
        CNAMEPattern(suffix=".queniutc.com", pattern=r"${domain}.queniutc.com", is_leaf=True),
        CNAMEPattern(suffix=".queniutn.com", pattern=r"${domain}.queniutn.com", is_leaf=True),
        CNAMEPattern(suffix=".queniutt.com", pattern=r"${domain}.queniutt.com", is_leaf=True),
        CNAMEPattern(suffix=".queniutz.com", pattern=r"${domain}.queniutz.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuua.com", pattern=r"${domain}.queniuua.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuuc.com", pattern=r"${domain}.queniuuc.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuuf.com", pattern=r"${domain}.queniuuf.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuuk.com", pattern=r"${domain}.queniuuk.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuum.com", pattern=r"${domain}.queniuum.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuuq.com", pattern=r"${domain}.queniuuq.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuus.com", pattern=r"${domain}.queniuus.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuuy.com", pattern=r"${domain}.queniuuy.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuvb.com", pattern=r"${domain}.queniuvb.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuvc.com", pattern=r"${domain}.queniuvc.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuvi.com", pattern=r"${domain}.queniuvi.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuvk.com", pattern=r"${domain}.queniuvk.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuvq.com", pattern=r"${domain}.queniuvq.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuvu.com", pattern=r"${domain}.queniuvu.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuvx.com", pattern=r"${domain}.queniuvx.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuwb.com", pattern=r"${domain}.queniuwb.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuwh.com", pattern=r"${domain}.queniuwh.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuwk.com", pattern=r"${domain}.queniuwk.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuwx.com", pattern=r"${domain}.queniuwx.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuxk.com", pattern=r"${domain}.queniuxk.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuxr.com", pattern=r"${domain}.queniuxr.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuxx.com", pattern=r"${domain}.queniuxx.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuyb.com", pattern=r"${domain}.queniuyb.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuyg.com", pattern=r"${domain}.queniuyg.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuyk.com", pattern=r"${domain}.queniuyk.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuys.com", pattern=r"${domain}.queniuys.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuyu.com", pattern=r"${domain}.queniuyu.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuyz.com", pattern=r"${domain}.queniuyz.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuza.com", pattern=r"${domain}.queniuza.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuzd.com", pattern=r"${domain}.queniuzd.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuzf.com", pattern=r"${domain}.queniuzf.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuzl.com", pattern=r"${domain}.queniuzl.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuzp.com", pattern=r"${domain}.queniuzp.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuzv.com", pattern=r"${domain}.queniuzv.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuzy.com", pattern=r"${domain}.queniuzy.com", is_leaf=True),
        CNAMEPattern(suffix=".queniuzz.com", pattern=r"${domain}.queniuzz.com", is_leaf=True),
    ],
    cidr=BGPViewCIDR(["alibaba", "taobao", "alicloud"]),
    frontend_ownership_verification=OwnershipVerification(
        txt=DomainOwnershipVerification(
            status=DomainOwnershipVerficationStatus.REQUIRED,
            prefix="verification",
            pattern=r"verify_[0-9a-f]{32}",
        ),
        http=HTTPOwnershipVerification(
            status=DomainOwnershipVerficationStatus.REQUIRED,
            path="/verification.html",
            pattern=r"verify_[0-9a-f]{32}",
        ),
    ),
    backend_ownership_verification=OwnershipVerification(
        txt=DomainOwnershipVerification(status=DomainOwnershipVerficationStatus.NOT_REQUIRED),
        http=HTTPOwnershipVerification(status=DomainOwnershipVerficationStatus.NOT_REQUIRED),
    ),
)
